org.springframework.web.servlet.config.annotation

## Class InterceptorRegistry

- java.lang.Object
- - org.springframework.web.servlet.config.annotation.InterceptorRegistry

    public class InterceptorRegistry
    extends Object

Helps with configuring a list of mapped interceptors.

Since:
  3.1
Author:
  Rossen Stoyanchev, Keith Donald

### Constructor Summary

Constructors
Constructor and Description
`InterceptorRegistry()`

### Method Summary

Methods
`InterceptorRegistration` `addInterceptor(HandlerInterceptor interceptor)` Adds the provided `HandlerInterceptor`.
`InterceptorRegistration` `addWebRequestInterceptor(WebRequestInterceptor interceptor)` Adds the provided `WebRequestInterceptor`.
`protected List<Object>` `getInterceptors()` Returns all registered interceptors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InterceptorRegistry

    public InterceptorRegistry()

### Method Detail

#### addInterceptor

    public InterceptorRegistration addInterceptor(HandlerInterceptor interceptor)

Adds the provided `HandlerInterceptor`.

Parameters:
  `interceptor` - the interceptor to add
Returns:
  An `InterceptorRegistration` that allows you optionally configure the registered interceptor further for example adding URL patterns it should apply to.

#### addWebRequestInterceptor

    public InterceptorRegistration addWebRequestInterceptor(WebRequestInterceptor interceptor)

Adds the provided `WebRequestInterceptor`.

Parameters:
  `interceptor` - the interceptor to add
Returns:
  An `InterceptorRegistration` that allows you optionally configure the registered interceptor further for example adding URL patterns it should apply to.

#### getInterceptors

    protected List<Object> getInterceptors()

Returns all registered interceptors.